Hierarchy

Index

Methods

Static createDataLabel

Static createLabel

Static createLabelMetadata

Static createLabelMetadataBulk

Static deleteDataLabel

Static deleteLabel

  • Delete Label Delete Label Permanently delete an existing Label. This cannot be undone once the API request has been submitted. <span style=&quot;color: #ff0000;font-weight: bold;&quot;>WARNING</span> : If you delete a Label, all related <a href='https://docs.kelvininc.com/latest/documentation/kelvin-platform/kelvin-api/kelvin-api-categories/data-labels/&#39; target='_blank'>Kelvin Data Labels</a> will also be permanently deleted ! Permission Required: `kelvin.permission.data_label.delete`

    Parameters

    • __namedParameters: { labelName: string }
      • labelName: string

        Unique identifier name for the Label.</p> This must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.

    • Optional options: IKvHttpRequestOptions

      Request optional parameters

    Returns Observable<IKvHttpResponse>

Static deleteLabelMetadata

  • Delete Label Metadata Delete Label Metadata Permanently delete an existing Label Metadata object associated with a specific Label. This cannot be undone once the API request has been submitted. This will only delete the specific Label Metadata object linked to the Label. If there is a Label Metadata object with the same name and payload BUT associated with a different Label, this will not be deleted. Permission Required: `kelvin.permission.data_label.delete`

    Parameters

    • __namedParameters: { labelMetadataName: string; labelName: string }
      • labelMetadataName: string

        Label Metadata unique identifier name to retrieve.</p> This must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.

      • labelName: string

        Unique identifier name for the Label.</p> This must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.

    • Optional options: IKvHttpRequestOptions

      Request optional parameters

    Returns Observable<IKvHttpResponse>

Static deleteLabelMetadataBulk

  • Delete Label Metadata Bulk Delete Label Metadata Bulk Bulk delete option for delete Label Metadata API which permanently deletes an existing Label Metadata object associated with a specific Label. This cannot be undone once the API request has been submitted. This will only delete the specific Label Metadata object linked to the Label. If there is a Label Metadata object with the same name and payload BUT associated with a different Label, this will not be deleted. Permission Required: `kelvin.permission.data_label.delete`

    Parameters

    Returns Observable<IKvHttpResponse>

Static filterDataLabel

Static getDataLabel

Static getDataLabelLast

Static getDataLabelRange

Static getDataLabelsClustering

Static getLabel

  • Get Label Get Label Retrieve the properties of a Label. Permission Required: `kelvin.permission.data_label.read`

    Parameters

    • __namedParameters: { labelName: string; metadata: string[] }
      • labelName: string

        Unique identifier name for the Label.</p> This must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.

      • metadata: string[]

        Inject Label Metadata into the response

    • Optional options: IKvHttpRequestOptions

      Request optional parameters

    Returns Observable<Label>

Static getLabelMetadata

  • Get Label Metadata Get Label Metadata Retrieves the Label Metadata object associated with a Label. This will only retrieve the specific Label Metadata object linked to the Label. If there is a Label Metadata object with the same name and payload BUT associated with a different Label, this will not be retrieved. Permission Required: `kelvin.permission.data_label.read`

    Parameters

    • __namedParameters: { labelMetadataName: string; labelName: string }
      • labelMetadataName: string

        Label Metadata unique identifier name to retrieve.</p> This must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.

      • labelName: string

        Unique identifier name for the Label.</p> This must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.

    • Optional options: IKvHttpRequestOptions

      Request optional parameters

    Returns Observable<LabelMetadata>

Static getPaginator

Static listDataLabel

  • listDataLabel(__namedParameters?: { endingBefore: string; pageSize: number; search: string[]; sortAsc: boolean; sortBy: string; startingAfter: string }, options?: IKvHttpRequestOptions): Observable<DataLabelListPaginated>

Static listLabel

  • listLabel(__namedParameters?: { endingBefore: string; metadata: string[]; metadataFilter: string[]; names: string[]; pageSize: number; search: string[]; sortAsc: boolean; sortBy: string; startingAfter: string }, options?: IKvHttpRequestOptions): Observable<LabelListPaginated>
  • List Label List Label Returns a dictionary with a data property containing a list of all Labels on the <a href='https://docs.kelvininc.com/latest/kelvin-overview/overview/#kelvin-platform&#39; target='_blank'>Kelvin Platform</a>. Pagination Sortable Columns: `label.name` Permission Required: `kelvin.permission.data_label.read`

    Parameters

    • Default value __namedParameters: { endingBefore: string; metadata: string[]; metadataFilter: string[]; names: string[]; pageSize: number; search: string[]; sortAsc: boolean; sortBy: string; startingAfter: string } = {}
      • endingBefore: string

        An alphanumeric string to move to the previous page of Labels in the list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> previous_page alphanumeric string should be used here to show a list of the previous page of results.

      • metadata: string[]

        Inject Label Metadata into the response

      • metadataFilter: string[]

        Array of metadata keys/value filter conditions. For <metadata_name> with the same name, the filter conditions will result in OR queries. For <metadata_name> with different names will result in AND queries. Example: [ <metadata_name>.<payload_key_to_search>=<payload_value_to_search>, <metadata_name2>.<payload_key2_to_search>=<payload_value2_to_search> ]

      • names: string[]

        Filter Label on the parameter by its name. This is given as an array, for example `[extruder,tank]`.</p> The filter is done on the full name only according to unique identifier name rules (Must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space but not at the beginning or end).</p> For example a filter with `[extruder,tank]` will return Labels with the name `extruder` but not with the names `demo-ch-extruder-gear-setpoint` or `demo-og-gas-tank-level`.

      • pageSize: number

        Number of Label objects to be returned. Page size can be between 1 and 1000 objects.</p> The default is 20 Label objects.

      • search: string[]

        Search and filter the Label list. Both the Display Name (title) and the Name will be included in the filter field criteria. This is given as an array, for example `[extruder,tank]`.</p> The search is case insensitive and will find partial matches as well. For example if a Label name or display name is `demo-og-centrifugal-pump-speed`, then a match will be made if the filter string is `demo` or `FUGaL`.

      • sortAsc: boolean

        Sorting order for the results according to the `sort_by` parameter.</p> There are two options; `true` (ascending order) and `false` (descending order).</p> The default is `true` (ascending).

      • sortBy: string

        Sort the results by one of the Label parameters. Only one parameter can be selected.</p> There is only parameter option available which is also the default; `label.name`.

      • startingAfter: string

        An alphanumeric string to move to the next page of Labels in the list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> next_page alphanumeric string should be used here to show a list of the next page of results.

    • Optional options: IKvHttpRequestOptions

      Request optional parameters

    Returns Observable<LabelListPaginated>

Static listLabelMetadata

  • listLabelMetadata(__namedParameters: { endingBefore: string; labelName: string; pageSize: number; search: string[]; sortAsc: boolean; sortBy: string; startingAfter: string }, options?: IKvHttpRequestOptions): Observable<LabelMetadataListPaginated>
  • List Label Metadata List Label Metadata Returns a filtered list of Label Metadata objects linked with a Label. The path parameter is required but the query parameters are optional. If no query parameters are given with the API request, then the defaults will be used to return the Label Metadata list. The defaults are the first 20 Label Metadata linked to the Label returned in alphabetical order by the unique identifier name. Pagination Sortable Columns: `label_metadata.name`, `label_metadata.label_name` Permission Required: `kelvin.permission.data_label.read`

    Parameters

    • __namedParameters: { endingBefore: string; labelName: string; pageSize: number; search: string[]; sortAsc: boolean; sortBy: string; startingAfter: string }
      • endingBefore: string

        An alphanumeric string to move to the previous page of Label Metadata objects in the list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> previous_page alphanumeric string should be used here to show a list of the previous page of results.

      • labelName: string

        Unique identifier name for the Label.</p> This must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.

      • pageSize: number

        Number of Label Metadata objects to be returned. Page size can be between 1 and 1000 objects. The default is 20 Label Metadata objects.

      • search: string[]

        Search and filter the Label Metadata objects list. Only the Name will be included in the search field criteria. This is given as an array, for example `[pump,fan]`.</p> The search is case insensitive and will find partial matches as well. For example if a Label Metadata name is centrifugal_pump, then a match will be made if the search string is `pum` or `FUGaL`.

      • sortAsc: boolean

        Sorting order for the results according to the `sort_by` parameter.</p> There are two options; `true` (ascending order) and `false` (descending order). The default is `true` (ascending).

      • sortBy: string

        Sort the results by one of the Label Metadata parameters. Only one parameter can be selected.</p> There are two parameter options; `label_metadata.name`, `label_metadata.label_name`. The default is `label_metadata.name`

      • startingAfter: string

        An alphanumeric string to move to the next page of Label Metadata objects in the list.</p> The alphanumeric string which are the bookmarks for the beginning and end of the current list is given in the previous JSON response value under the key pagination -> previous_page and pagination -> next_page respectively.</p> The pagination -> next_page alphanumeric string should be used here to show a list of the next page of results.

    • Optional options: IKvHttpRequestOptions

      Request optional parameters

    Returns Observable<LabelMetadataListPaginated>

Static onError

Static request

Static requestUrl

  • requestUrl<T>(request: IKvHttpRequest, modelClass?: IModel, autenticated?: boolean): Observable<T>

Static updateDataLabel

Static updateLabel

  • Update Label Update Label Update an existing Label with any new values passed through the body parameters. Permission Required: `kelvin.permission.data_label.update`

    Parameters

    • __namedParameters: { label: ILabelUpdateData; labelName: string }
      • label: ILabelUpdateData

        Label update schema

      • labelName: string

        Unique identifier name for the Label.</p> This must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.

    • Optional options: IKvHttpRequestOptions

      Request optional parameters

    Returns Observable<Label>

Static updateLabelMetadata

  • Update Label Metadata Update Label Metadata Updates the payload of an existing Label Metadata object associated with a Label. The payload will be completely replaced by the new payload. Any existing key/value pairs that you want to keep must be included in your new payload that is sent with the API request. This will only update the payload of the specific Label Metadata object linked to the Label. If there is a Label Metadata object with the same name and payload BUT associated with a different Label, this will not be updated. Permission Required: `kelvin.permission.data_label.update`

    Parameters

    • __namedParameters: { labelMetadataName: string; labelName: string; labelmetadata: ILabelMetadataUpdateData }
      • labelMetadataName: string

        Label Metadata unique identifier name to retrieve.</p> This must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.

      • labelName: string

        Unique identifier name for the Label.</p> This must contain only lowercase alphanumeric characters. The `.`, `_` and `-` characters are also allowed to separate words instead of a space BUT can not be at the beginning or end of the name.

      • labelmetadata: ILabelMetadataUpdateData

        Label Metadata update schema

    • Optional options: IKvHttpRequestOptions

      Request optional parameters

    Returns Observable<LabelMetadata>